Package com.sun.jna.platform.win32

## Class Wincon.KEY_EVENT_RECORD

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Wincon.KEY_EVENT_RECORD

Enclosing interface:
  Wincon

    @FieldOrder({"bKeyDown","wRepeatCount","wVirtualKeyCode","wVirtualScanCode","uChar","dwControlKeyState"})
    public static class Wincon.KEY_EVENT_RECORD
    extends Structure

KEY_EVENT_RECORD structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`boolean` `bKeyDown`
`int` `dwControlKeyState`
`char` `uChar`
`short` `wRepeatCount`
`short` `wVirtualKeyCode`
`short` `wVirtualScanCode`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`KEY_EVENT_RECORD()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()` If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### bKeyDown

    public boolean bKeyDown

#### wRepeatCount

    public short wRepeatCount

#### wVirtualKeyCode

    public short wVirtualKeyCode

#### wVirtualScanCode

    public short wVirtualScanCode

#### uChar

    public char uChar

#### dwControlKeyState

    public int dwControlKeyState

### Constructor Detail

#### KEY_EVENT_RECORD

    public KEY_EVENT_RECORD()

### Method Detail

#### toString

    public java.lang.String toString()

Description copied from class: `Structure`
If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

Overrides:
  `toString` in class `Structure`
Returns:
  String representation of this object.